# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class GoogleBaseAttributeType

    java.lang.Object
      com.google.api.gbase.client.GoogleBaseAttributeType

    public class GoogleBaseAttributeType

extends java.lang.Object

Attribute types. This is an open type enumeration. Use `getInstance(String)` to convert a string into a GoogleBaseAttributeType. When not parsing XML streams, always use the constants defined in this class when referring to a specific type. Use equality (A.equals(B)) and not identity (A == B) when comparing types.

Field Summary
`static GoogleBaseAttributeType` `BOOLEAN` Either true or false.
`static GoogleBaseAttributeType` `DATE` Date for an event, in format YYYY-MM-DD (RFC3339).
`static GoogleBaseAttributeType` `DATE_TIME` Date and time for an event, in format YYYY-MM-DDThh:mm:ss (RFC3339).
`static GoogleBaseAttributeType` `DATE_TIME_RANGE` Start and end dates for an event.
`static GoogleBaseAttributeType` `FLOAT` Numbers with decimal digits.
`static GoogleBaseAttributeType` `FLOAT_UNIT` Numbers with decimal digits and a string.
`static GoogleBaseAttributeType` `GROUP` Group of related attributes.
`static GoogleBaseAttributeType` `INT` Whole number values.
`static GoogleBaseAttributeType` `INT_UNIT` Whole number value and a string.
`static GoogleBaseAttributeType` `LOCATION` A location, a string describing the address.
`static GoogleBaseAttributeType` `NUMBER` Any kind of number.
`static GoogleBaseAttributeType` `NUMBER_UNIT` A number and a string.
`static GoogleBaseAttributeType` `REFERENCE` A reference to another Google Base Item.
`static GoogleBaseAttributeType` `SHIPPING` Shipping information.
`static GoogleBaseAttributeType` `TAX` Tax information.
`static GoogleBaseAttributeType` `TEXT` Text values.
`static GoogleBaseAttributeType` `URL` HTTP URL.

Method Summary
`boolean` `equals(java.lang.Object o)`
`static GoogleBaseAttributeType` `getInstance(java.lang.String typeName)` Get a type instance.
`java.lang.String` `getName()` Gets the type name.
`GoogleBaseAttributeType` `getSupertype()` Gets the supertype or null.
`int` `hashCode()`
`boolean` `isSupertypeOf(GoogleBaseAttributeType subtype)` Checks whether the given type is the same as this type or a subtype.
`java.lang.String` `toString()` Gets the type name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT

    public static final GoogleBaseAttributeType TEXT

  Text values.

### NUMBER

    public static final GoogleBaseAttributeType NUMBER

  Any kind of number. Example: `10`, `3.14`. This is a supertype of `INT` and `NUMBER`.

### INT

    public static final GoogleBaseAttributeType INT

  Whole number values.

### FLOAT

    public static final GoogleBaseAttributeType FLOAT

  Numbers with decimal digits.

### NUMBER_UNIT

    public static final GoogleBaseAttributeType NUMBER_UNIT

  A number and a string. Example: `1.5 m`, `12 lb`. This is a supertype of `INT_UNIT` and `FLOAT_UNIT`.

### INT_UNIT

    public static final GoogleBaseAttributeType INT_UNIT

  Whole number value and a string. Example: `10 km`)

### FLOAT_UNIT

    public static final GoogleBaseAttributeType FLOAT_UNIT

  Numbers with decimal digits and a string. Example: `1.5 m`

### DATE_TIME_RANGE

    public static final GoogleBaseAttributeType DATE_TIME_RANGE

  Start and end dates for an event. An attribute of this type is represented by two date strings in format YYYY-MM-DD (RFC3339)separated by a space. Example:

      1975-09-25 1975-09-25

  See Also:
    `DateTimeRange`

### DATE

    public static final GoogleBaseAttributeType DATE

  Date for an event, in format YYYY-MM-DD (RFC3339).

### DATE_TIME

    public static final GoogleBaseAttributeType DATE_TIME

  Date and time for an event, in format YYYY-MM-DDThh:mm:ss (RFC3339).

### URL

    public static final GoogleBaseAttributeType URL

  HTTP URL.

### BOOLEAN

    public static final GoogleBaseAttributeType BOOLEAN

  Either true or false.

### GROUP

    public static final GoogleBaseAttributeType GROUP

  Group of related attributes.

### SHIPPING

    public static final GoogleBaseAttributeType SHIPPING

  Shipping information. Example:

      <country>DE</country>
       <region>Munich</region>
       <price>12.50 eur</price>
       <service>Deutsche Post</service>

### TAX

    public static final GoogleBaseAttributeType TAX

  Tax information. Example:

      <country>DE</country>
       <region>Munich</region>
       <rate>12.50 eur</rate>
       <tax_ship>true</tax_ship>

### LOCATION

    public static final GoogleBaseAttributeType LOCATION

  A location, a string describing the address.

### REFERENCE

    public static final GoogleBaseAttributeType REFERENCE

  A reference to another Google Base Item.

Method Detail

### getSupertype

    public GoogleBaseAttributeType getSupertype()

  Gets the supertype or null.

  Returns:
    supertype, if one has been defined

### getName

    public java.lang.String getName()

  Gets the type name.

  Returns:
    type name

### toString

    public java.lang.String toString()

  Gets the type name.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    type name

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getInstance

    public static GoogleBaseAttributeType getInstance(java.lang.String typeName)

  Get a type instance.

  Parameters:
    `typeName` - name of a type found in a feed. Current version of the API will always return one of the types listed in this class but future versions might support new types, so `getInstance` accepts any type name
  Returns:
    an instance of GoogleBaseAttributeType, or `null` if `typeName` was null

### isSupertypeOf

    public boolean isSupertypeOf(GoogleBaseAttributeType subtype)

  Checks whether the given type is the same as this type or a subtype.

  Parameters:
    `subtype` -
  Returns:
    true if `subtype` is the same type or a subtype of the current type